Loading...
Searching...
No Matches
lartg: generate plane rotation, more accurate than BLAS rot
LAPACK » Orthogonal/unitary factors (QR, CS, etc.) » Givens/Jacobi plane rotations
Collaboration diagram for lartg: generate plane rotation, more accurate than BLAS rot:

## Functions

subroutine | clartg (f, g, c, s, r)
| CLARTG generates a plane rotation with real cosine and complex sine.
subroutine | dlartg (f, g, c, s, r)
| DLARTG generates a plane rotation with real cosine and real sine.
subroutine | slartg (f, g, c, s, r)
| SLARTG generates a plane rotation with real cosine and real sine.
subroutine | zlartg (f, g, c, s, r)
| ZLARTG generates a plane rotation with real cosine and complex sine.

## Detailed Description